//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2012.02.01 at 03:58:26 PM CET 
//

package net.ihe.gazelle.app.validationservice.adapter.reportmodel;

import javax.xml.bind.annotation.*;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * Java class for anonymous complex type.
 *
 * <p>
 * The following schema fragment specifies the expected content contained within
 * this class.
 *
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;sequence&gt;
 *           &lt;element ref="{}XSDMessage" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;/sequence&gt;
 *         &lt;element ref="{}Result"/&gt;
 *         &lt;element name="nbOfErrors" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="nbOfWarnings" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {"xsdMessage", "result", "nbOfErrors",
        "nbOfWarnings"})
@XmlRootElement(name = "DocumentValidXSD")
public class DocumentValidXSD {

    @XmlElement(name = "XSDMessage")
    protected List<XSDMessage> xsdMessage;

    @XmlElement(name = "Result", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NCName")
    protected String result;

    protected String nbOfErrors;

    protected String nbOfWarnings;

    /**
     * Gets the value of the xsdMessage property.
     *
     * <p>
     * This accessor method returns a reference to the live list, not a
     * snapshot. Therefore any modification you make to the returned list will
     * be present inside the JAXB object. This is why there is not a
     * <CODE>set</CODE> method for the xsdMessage property.
     *
     * <p>
     * For example, to add a new item, do as follows:
     *
     * <pre>
     * getXSDMessage().add(newItem);
     * </pre>
     *
     *
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link XSDMessage }
     */
    public List<XSDMessage> getXSDMessage() {
        if (xsdMessage == null) {
            xsdMessage = new ArrayList<>();
        }
        return this.xsdMessage;
    }

    /**
     * Gets the value of the result property.
     *
     * @return possible object is {@link String }
     */
    public String getResult() {
        return result;
    }

    /**
     * Sets the value of the result property.
     *
     * @param value allowed object is {@link String }
     */
    public void setResult(String value) {
        this.result = value;
    }

    /**
     * Gets the value of the nbOfErrors property.
     *
     * @return possible object is {@link String }
     */
    public String getNbOfErrors() {
        return nbOfErrors;
    }

    /**
     * Sets the value of the nbOfErrors property.
     *
     * @param value allowed object is {@link String }
     */
    public void setNbOfErrors(String value) {
        this.nbOfErrors = value;
    }

    /**
     * Gets the value of the nbOfWarnings property.
     *
     * @return possible object is {@link String }
     */
    public String getNbOfWarnings() {
        return nbOfWarnings;
    }

    /**
     * Sets the value of the nbOfWarnings property.
     *
     * @param value allowed object is {@link String }
     */
    public void setNbOfWarnings(String value) {
        this.nbOfWarnings = value;
    }

}

